﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ADDDF.Infrastructure.ChangeTracking.ChangeRecords
{
    class ChangeRuleEqualityComparer : IEqualityComparer<IChangeRule>
    {
        public bool Equals(IChangeRule x, IChangeRule y)
        {
            if (!x.SameRuleAs(y))
                return false;

            return true;
        }

        public int GetHashCode(IChangeRule obj)
        {
            return obj.GetHashCode();
        }
    }
}
