using System;
using System.Configuration;

namespace ADDDF.Infrastructure.Configuration
{
    public sealed class RepositoryAssemblyElement : ConfigurationElement
    {
        [ConfigurationProperty(RepositoryMappingConstants.RepositoryAssemblyName, 
            IsKey = true, IsRequired = true)]
        public string Name
        {
            get 
            {
                return (string)this[RepositoryMappingConstants.RepositoryAssemblyName]; 
            }
            set 
            {
                this[RepositoryMappingConstants.RepositoryAssemblyName] = value; 
            }
        }
    }
}
