﻿using System;

namespace ADDDF.Infrastructure
{
    public interface IUnitOfWork
    {
        void RegisterAdded(IAggregateRoot entity, IRepository repository);

        void RegisterChanged(IAggregateRoot entity, IRepository repository);

        void RegisterRemoved(IAggregateRoot entity, IRepository repository);

        void Commit();
    }
}
