using System;
using System.Configuration;

namespace ADDDF.Infrastructure.Configuration
{
    public class RepositorySettings : ConfigurationSection
    {
        [ConfigurationProperty(RepositoryMappingConstants.ConfigurationPropertyName, 
            IsDefaultCollection = true)]
        public RepositoryMappingCollection RepositoryMappings
        {
            get { return (RepositoryMappingCollection)base[RepositoryMappingConstants.ConfigurationPropertyName]; }
        }

        [ConfigurationProperty(RepositoryMappingConstants.RepositoryAssembliesElementName,
            IsDefaultCollection = false)]
        public RepositoryAssemblyCollection RepositoryAssemblies
        {
            get { return (RepositoryAssemblyCollection)base[RepositoryMappingConstants.RepositoryAssembliesElementName]; }
        }
    }
}
